package com.gic.haoban.manage.web.qo;

import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;

/**
 * 员工登录
 *
 * @author mozhu
 * @date 2021/12/10 15:00
 */
public class StaffLoginQO implements Serializable {

    private static final long serialVersionUID = -170574390217887304L;
    @NotEmpty(message = "员工id不允许为空")
    private String staffId;
    private String wxEnterpriseId;
    private String phoneNumber;
    private String nationcode;
    private String wxUserId;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNationcode() {
        return nationcode;
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }
}
